geos::algorithm::locate::IndexedPointInAreaLocator Class Reference

Determines the location of Coordinates relative to an areal geometry, using indexing for efficiency. More...

`#include <IndexedPointInAreaLocator.h>`

Inheritance diagram for geos::algorithm::locate::IndexedPointInAreaLocator:

## Public Member Functions

| IndexedPointInAreaLocator (const geom::Geometry &g)
| Creates a new locator for a given Geometry.
const geom::Geometry & | getGeometry () const
geom::Location | locate (const geom::CoordinateXY *p) override
| Determines the Location of a point in an areal Geometry.

## Detailed Description

Determines the location of Coordinates relative to an areal geometry, using indexing for efficiency.

The Location is computed precisely, in that points located on the geometry boundary or segments will return geom::Location::BOUNDARY.

Polygonal and LinearRing geometries are supported.

The index is lazy-loaded, which allows creating instances even if they are not used.

## Constructor & Destructor Documentation

## IndexedPointInAreaLocator()

geos::algorithm::locate::IndexedPointInAreaLocator::IndexedPointInAreaLocator | ( | const geom::Geometry & | g | ) |

Creates a new locator for a given Geometry.

Polygonal and LinearRing geometries are supported.

Parameters

  g | the Geometry to locate in

## Member Function Documentation

## locate()

geom::Location geos::algorithm::locate::IndexedPointInAreaLocator::locate | ( | const geom::CoordinateXY * | p | ) |

override virtual

Determines the Location of a point in an areal Geometry.

Parameters

  p | the point to test

Returns
  the location of the point in the geometry

Implements geos::algorithm::locate::PointOnGeometryLocator.

The documentation for this class was generated from the following file:

- IndexedPointInAreaLocator.h